package com.fs.his.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fs.common.utils.DateUtils;
import com.fs.his.domain.FsDoctorConfirm;
import com.fs.his.mapper.FsDoctorConfirmMapper;
import com.fs.his.service.IFsDoctorConfirmService;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 【请填写功能名称】Service业务层处理
 *
 * @author fs
 * @date 2025-10-18
 */
@Service
public class FsDoctorConfirmServiceImpl extends ServiceImpl<FsDoctorConfirmMapper, FsDoctorConfirm> implements IFsDoctorConfirmService {

    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public FsDoctorConfirm selectFsDoctorConfirmById(Long id)
    {
        return baseMapper.selectFsDoctorConfirmById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     *
     * @param fsDoctorConfirm 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<FsDoctorConfirm> selectFsDoctorConfirmList(FsDoctorConfirm fsDoctorConfirm)
    {
        return baseMapper.selectFsDoctorConfirmList(fsDoctorConfirm);
    }

    /**
     * 新增【请填写功能名称】
     *
     * @param fsDoctorConfirm 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertFsDoctorConfirm(FsDoctorConfirm fsDoctorConfirm)
    {
        fsDoctorConfirm.setCreateTime(DateUtils.getNowDate());
        return baseMapper.insertFsDoctorConfirm(fsDoctorConfirm);
    }

    /**
     * 修改【请填写功能名称】
     *
     * @param fsDoctorConfirm 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateFsDoctorConfirm(FsDoctorConfirm fsDoctorConfirm)
    {
        fsDoctorConfirm.setUpdateTime(DateUtils.getNowDate());
        return baseMapper.updateFsDoctorConfirm(fsDoctorConfirm);
    }

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteFsDoctorConfirmByIds(Long[] ids)
    {
        return baseMapper.deleteFsDoctorConfirmByIds(ids);
    }

    /**
     * 删除【请填写功能名称】信息
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteFsDoctorConfirmById(Long id)
    {
        return baseMapper.deleteFsDoctorConfirmById(id);
    }
}
